# Class Ng1ViewConfig

- Defined in router/state/views.js:96

#####
Index

### Constructors

constructor

### Properties

$id
component
controller
factory
getTemplate
loaded
path
template
viewDecl

### Methods

getController
load
normalizeUIViewTarget

##
Constructors

### constructor

- new Ng1ViewConfig(path, viewDecl, factory): Ng1ViewConfig

- #### Parameters

  - path: any
  - viewDecl: any
  - factory: any

  #### Returns Ng1ViewConfig

  - Defined in router/state/views.js:97

##
Properties

### $id

$id: number

- Defined in router/state/views.js:104

### component

component: any

- Defined in router/state/views.js:101

### controller

controller: any

- Defined in router/state/views.js:132

### factory

factory: any

- Defined in router/state/views.js:100

### getTemplate

getTemplate: ((ngView: any, context: any) => any)

- Defined in router/state/views.js:106

### loaded

loaded: boolean

- Defined in router/state/views.js:105

### path

path: any

- Defined in router/state/views.js:98

### template

template: any

- Defined in router/state/views.js:102

### viewDecl

viewDecl: any

- Defined in router/state/views.js:99

##
Methods

### getController

- getController(context): Function | Promise<Function>

- Gets the controller for a view configuration.

  #### Parameters

  - context: any

  #### Returns Function | Promise<Function>

  Returns a controller, or a promise that resolves to a controller.

  - Defined in router/state/views.js:142

### load

- load(): QPromise<any>

- #### Returns QPromise<any>

  - Defined in router/state/views.js:117

### `Static` normalizeUIViewTarget

- normalizeUIViewTarget(context, rawViewName?): {
  ngViewContextAnchor: string;
  ngViewName: string;
  }

- Normalizes a view's name from a state.views configuration block.

  This should be used by a framework implementation to calculate the values for [[_ViewDeclaration.$ngViewName]] and [[_ViewDeclaration.$ngViewContextAnchor]].

  #### Parameters

  - context: any

    the context object (state declaration) that the view belongs to

  - rawViewName: string = ""

    the name of the view, as declared in the [[StateDeclaration.views]]

  #### Returns {
  ngViewContextAnchor: string;
  ngViewName: string;
  }

  the normalized ngViewName and ngViewContextAnchor that the view targets

  - ##### ngViewContextAnchor: string

  - ##### ngViewName: string

  - Defined in router/state/views.js:162